routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\TagsController;
use App\Http\Controllers\CategoriesController;
use App\Http\Controllers\CommentsController;
use App\Http\Controllers\FrontendController;
use App\Http\Controllers\PostsController;
use App\Http\Controllers\UsersController;




Route::prefix('admin')->middleware(['auth'])->group(function () {
    Route::get('/dashboard', function () {
        return view('admin-panel.dashboard');
    })->name('dashboard');
    Route::put('/users/{user}/make-admin',[UsersController::class,'makeAdmin'])->name('users.makeAdmin');
    Route::put('/users/{user}/revoke-admin',[UsersController::class,'revokeAdmin'])->name('users.revokeAdmin');
    Route::resource('users', UsersController::class);
    Route::resource('tags', TagsController::class)->except(['show']);
    Route::resource('categories', CategoriesController::class)->except(['show']);

    Route::get('/posts/trashed',[PostsController::class,'trashed'])->name('posts.trashed');




    Route::resource('posts', PostsController::class);
    Route::put('posts/{post}/publish-now',[PostsController::class,'publish'])->name('posts.publish');

    Route::put('posts/trashed/{post}/restore',[PostsController::class,'restore'])->name('posts.restore');
    Route::delete('posts/trashed/{post}/destroy',[PostsController::class,'forceDelete'])->name('posts.forceDelete');

});
Route::get('/',[FrontendController::class,'index']);
Route::resource('comments', CommentsController::class);

Route::get('/categories/{category}',[FrontendController::class,'category'])->name('blogs.category');
Route::get('/tags/{tag}',[FrontendController::class,'tag'])->name('blogs.tag');
Route::get('/blogs/{post}',[FrontendController::class,'show'])->name('blogs.show');





// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/dashboard', function () {
    return view('admin-panel.dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';

resources/views/admin-panel/layouts/_alert.blade.php
@if(@session()->has('success'))
    <div class="alert alert-success alert-dismissable fade show d-flex justify-content-between" role="alert">
        {{ session('success') }}
        <button type="button" class="btn-close " data-bs-dismiss="alert" aria-label="Close" style="di"></button>
    </div>
@elseif(session()->has('error'))
    <div class="alert alert-danger alert-dismissable fade show d-flex justify-content-between" role="alert">
        {{ session('error') }}
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
@endif

resources/views/admin-panel/layouts/_footer.blade.php
<footer class="py-4 bg-light mt-auto">
    <div class="container-fluid px-4">
        <div class="d-flex align-items-center justify-content-between small">
            <div class="text-muted">Copyright &copy; Your Website 2023</div>
            <div>
                <a href="#">Privacy Policy</a>
                &middot;
                <a href="#">Terms &amp; Conditions</a>
            </div>
        </div>
    </div>
</footer>

resources/views/admin-panel/layouts/_navbar.blade.php
<nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
    <!-- Navbar Brand-->
    <a class="navbar-brand ps-3" href="index.html">Start Bootstrap</a>
    <!-- Sidebar Toggle-->
    <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i class="fas fa-bars"></i></button>
    <!-- Navbar Search-->
    <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">
        <div class="input-group">
            <input class="form-control" type="text" placeholder="Search for..." aria-label="Search for..." aria-describedby="btnNavbarSearch" />
            <button class="btn btn-primary" id="btnNavbarSearch" type="button"><i class="fas fa-search"></i></button>
        </div>
    </form>
    <!-- Navbar-->
    <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
            <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="#!">Settings</a></li>
                <li><a class="dropdown-item" href="#!">Activity Log</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li>
                    <form action="{{ route('logout')}}" method="POST">
                        @csrf
                    <a class="dropdown-item" href="route('logout')" onclick="event.preventDefault(); this.closest('form').submit();">Logout</a>
                    </form>
                </li>
            </ul>
        </li>
    </ul>
</nav>

resources/views/admin-panel/layouts/_sidebar.blade.php
<div id="layoutSidenav_nav">
    <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
        <div class="sb-sidenav-menu">
            <div class="nav">
                <div class="sb-sidenav-menu-heading">Core</div>
                <a class="nav-link" href="{{route('dashboard')}}">
                    <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                    Dashboard
                </a>
                <div class="sb-sidenav-menu-heading">Masters</div>
                <a class="nav-link" href="{{route('tags.index')}}">
                    <div class="sb-nav-link-icon"><i class="fa-solid fa-tag"></i></div>
                    Tags
                </a>
                <a class="nav-link" href="{{route('categories.index')}}">
                    <div class="sb-nav-link-icon"><i class="fa-solid fa-gears"></i></div>
                    Categories
                </a>
                <a class="nav-link" href="{{route('users.index')}}">
                    <div class="sb-nav-link-icon"><i class="fa-solid fa-tag"></i></div>
                    Users
                </a>

                <div class="sb-sidenav-menu-heading">Blogs</div>
                <a class="nav-link" href="{{ route('posts.index')}}">
                    <div class="sb-nav-link-icon"><i class="fa-solid fa-rss"></i></div>
                    Posts
                </a>
                <a class="nav-link" href=" {{ route('posts.trashed')}}">
                    <div class="sb-nav-link-icon"><i class="fa-solid fa-trash"></i></div>
                    Trashed Posts
                </a>
            </div>
        </div>
        <div class="sb-sidenav-footer">
            <div class="small">Logged in as:</div>
            Start Bootstrap
        </div>
    </nav>
</div>

resources/views/admin-panel/layouts/admin.blade.php
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
    <title>@yield('title', 'Blog CMS')</title>
        <link href="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/style.min.css" rel="stylesheet" />
     {{-- used asset for css  --}}
    <link href="{{ asset('admin/css/styles.css') }}" rel="stylesheet" />
    @yield('page-level-styles')
        <script src="https://use.fontawesome.com/releases/v6.3.0/js/all.js" crossorigin="anonymous"></script>
    </head>
    <body class="sb-nav-fixed">
        @include('admin-panel.layouts._navbar')
        <div id="layoutSidenav">
            @include('admin-panel.layouts._sidebar')
            <div id="layoutSidenav_content">
                <main>
                    <div >
                        @include('admin-panel.layouts._alert')
                        @yield('admin-content')
                    </div>
                </main>
                @include('admin-panel.layouts._footer')
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="{{ asset('admin/js/scripts.js') }}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" crossorigin="anonymous"></script>
        {{-- <script src="assets/demo/chart-area-demo.js"></script>
        <script src="assets/demo/chart-bar-demo.js"></script> --}}
        <script src="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/umd/simple-datatables.min.js" crossorigin="anonymous"></script>
        {{-- <script src="js/datatables-simple-demo.js"></script> --}}
        <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script type="text/javascript" src="https://unpkg.com/trix@2.0.8/dist/trix.umd.min.js"></script>

        @yield('page-level-scripts')
    </body>
</html>